<div class="flex flex-col flex-auto items-center justify-center mx-auto w-full sm:w-90 drop-shadow-2xl"
    style="background-color: #F8F8F8;">

    <div class="container mx-auto text-right">
        <mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon>
    </div>

    <!-- Main -->
    <div class="flex flex-col sm:flex-row sm:flex-wrap sm:mx-6 sm:mt-4">
        <div class="sm:flex-1">
            <div class="text-indigo-900 font-Semibold-40 leading-none mt-6 sm:px-6 mb-7" style="text-align:center">
                Withdrawal
            </div>
        </div>
    </div>
    <!-- CONTENT GOES HERE -->
    <form action="">
        <div class="relative flex flex-col p-10 bg-card rounded-1xl overflow-hidden sm:shadow mb-10 pt-5"
            style="text-align:left;">
            <div class="flex flex-row flex-wrap">
                <div class="flex flex-col my-1">
                    <div class="mt-4 font-Semibold-18 text-xl text-red-600 leading-none">
                        <div>Withdrawal Failed</div>
                    </div>
                    <div class="mt-2 font-medium text-sm leading-none text-stone-500"
                        style="line-height: 1.5 !important;">
                        <a>Transaction unsuccessful. Account name and bank details do not match.</a>
                    </div>
                </div>
            </div>
            <div class="relative flex flex-col p-4 pt-5 pl-0">
                <div class="font-Regular-16 text-zinc-600 text-lg">Reference Number</div>
                <div class="text-lg font-Medium-16">{{ref}}</div>
            </div>
            <div class="flex items-center mt-2">
                <div class="flex-auto mt-px border-t"></div>
            </div>
            <div class="relative flex flex-col flex-auto items-center w-auto">
                <button class="fuse-mat-button-large w-full button-r5-download mt-6 mb-6" [color]="'secondary'"
                    style="border:1px solid #0038FF;" mat-flat-button [routerLink]="['/buy-bgd']">
                    <span class="font-Semibold-14" style="color: #0038FF;">Download Receipt</span>
                </button>
            </div>
            <div class="flex items-center mt-2">
                <div class="flex-auto mt-px border-t"></div>
            </div>
            <div class="relative flex flex-col p-4 pl-0 mt-3">
                <div class="font-Semibold-18">Withdrawal Details</div>
            </div>
            <div class="pb-5">
                <div class="font-Regular-16 font-7B7B7B">Date</div>
                <div class="font-Semibold-16">{{ today | date:'dd MMMM yyyy - hh:mm:ss a' }}</div>
            </div>
            <div class="pb-5">
                <div class="font-Regular-16 font-7B7B7B">Bank Account</div>
                <div class="font-Semibold-16">{{ bankName }}</div>
            </div>
            <div class="pb-5">
                <div class="font-Regular-16 font-7B7B7B">Account Number</div>
                <div class="font-Semibold-16">{{ accountNumber }}</div>
            </div>
            <div class="pb-5">
                <div class="font-Regular-16 font-7B7B7B">Withdrawal Amount</div>
                <div class="font-Semibold-16">RM{{ amount | number:'1.2-2' }}</div>
            </div>
            <div class="pb-5">
                <div class="font-Regular-16 font-7B7B7B">Transaction Fee</div>
                <div class="font-Semibold-16">RM{{ chargeTransFee | number:'1.2-2' }}</div>
            </div>
            <div class="pb-5">
                <div class="font-Regular-16 font-7B7B7B">SST {{setupSstFee | number:'1.2-2'}}{{setupSstOum}}</div>
                <div class="font-Semibold-16">RM{{ chargeSstFee | number:'1.2-2' }}</div>
            </div>
            <div class="flex items-center mt-2">
                <div class="flex-auto mt-px border-t"></div>
            </div>
            <div class="pb-5 mt-7">
                <div class="font-Regular-16 font-7B7B7B">Total Amount</div>
                <div class="font-Semibold-16">RM{{ totalAmount | number:'1.2-2' }}</div>
            </div>

            <div class="relative flex flex-col flex-auto items-center mt-3">
                <button class="fuse-mat-button-large w-full button-r5" mat-flat-button [color]="'primary'"
                    [routerLink]="['/cash-wallet']">
                    <span class="font-Semibold-16">Back to Cash Wallet</span>
                </button>
            </div>
        </div>
    </form>
</div>